DK API 文档

kuaishou 03

8 个接口

GETfetch one video by url

GET https://dkai.store/api/v1/kuaishou/web/fetch_one_video_by_url

2 积分 / 成功调用

参数位置要求说明
urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/kuaishou/web/fetch_one_video_by_url?url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch one video comment

GET https://dkai.store/api/v1/kuaishou/web/fetch_one_video_comment

2 积分 / 成功调用

参数位置要求说明
photo_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/kuaishou/web/fetch_one_video_comment?photo_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch one video sub comment

GET https://dkai.store/api/v1/kuaishou/web/fetch_one_video_sub_comment

9 积分 / 成功调用

参数位置要求说明
photo_idquery必填
root_comment_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/kuaishou/web/fetch_one_video_sub_comment?photo_id=VALUE&root_comment_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch one video v2

GET https://dkai.store/api/v1/kuaishou/web/fetch_one_video_v2

2 积分 / 成功调用

参数位置要求说明
photo_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/kuaishou/web/fetch_one_video_v2?photo_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user collect

GET https://dkai.store/api/v1/kuaishou/web/fetch_user_collect

9 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/kuaishou/web/fetch_user_collect?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user info

GET https://dkai.store/api/v1/kuaishou/web/fetch_user_info

2 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/kuaishou/web/fetch_user_info?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user live replay

GET https://dkai.store/api/v1/kuaishou/web/fetch_user_live_replay

9 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/kuaishou/web/fetch_user_live_replay?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETgenerate share short url

GET https://dkai.store/api/v1/kuaishou/web/generate_share_short_url

1 积分 / 成功调用

参数位置要求说明
photo_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/kuaishou/web/generate_share_short_url?photo_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。